import { Router } from 'express';
import { Logger, LogLevel } from './lib/logger';
import { ExpressTypescriptCompileOptions, CompileOptions, ResolveOptions, CachedValue, CacheOptions } from './lib/options';
/**
 * Overloading global Express namespace to enhance the Request object declaration.
 */
declare global {
    namespace Express {
        interface Request {
            /**
             * Is current request a request of es6 module import.
             */
            moduleImport?: boolean;
            /**
             * The relative path from cwd.
             */
            moduleImportContext?: string;
        }
    }
}
/**
 * Creates instance of typescript compile middleware.
 * @public
 * @param options - options of middleware
 * @param logger - logging target, default `console`
 */
export declare function typescriptCompileMiddleware(options?: ExpressTypescriptCompileOptions, logger?: Logger): Router;
export { LogLevel };
export type { Logger, ExpressTypescriptCompileOptions, CompileOptions, ResolveOptions, CachedValue, CacheOptions };
//# sourceMappingURL=index.d.ts.map